librlyeh (1.3.0) unstable; urgency=medium

  * [Rlyeh] Refactor to have singular code paths for parsing the library of images
  * LCM librlyeh unit tests not executed

 -- SAH bot <sahbot@softathome.com>  Fri, 18 Oct 2024 14:59:52 +0000

librlyeh (1.2.0) unstable; urgency=medium

  * LCM container signature verification

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Jul 2024 13:01:28 +0000

librlyeh (1.1.5) unstable; urgency=medium

  * do not print password in the logs

 -- SAH bot <sahbot@softathome.com>  Mon, 06 May 2024 13:29:58 +0000

librlyeh (1.1.4) unstable; urgency=medium

  * [librlyeh] Add support for opensslv3

 -- SAH bot <sahbot@softathome.com>  Thu, 01 Feb 2024 12:56:38 +0000

librlyeh (1.1.3) unstable; urgency=medium

  * Support bearer auth with username/password

 -- SAH bot <sahbot@softathome.com>  Mon, 13 Nov 2023 15:50:02 +0000

librlyeh (1.1.2) unstable; urgency=medium

  * Opensource component
  * - Update license

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Oct 2023 10:21:20 +0000

librlyeh (1.1.1) unstable; urgency=medium

  * Make component available on gitlab.softathome.com

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Sep 2023 10:12:59 +0000

librlyeh (1.1.0) unstable; urgency=medium

  * LCM containers onboarding solution - runtime

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Jul 2023 11:58:43 +0000

librlyeh (1.0.1) unstable; urgency=medium

  * Move signature from Annotations to installDU() parameter

 -- SAH bot <sahbot@softathome.com>  Fri, 23 Jun 2023 11:21:10 +0000

librlyeh (1.0.0) unstable; urgency=medium

  * DU/EU Unique Identifier

 -- SAH bot <sahbot@softathome.com>  Fri, 02 Jun 2023 11:01:20 +0000

librlyeh (0.4.31) unstable; urgency=medium

  * safeguard against empty manifest filenames

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Mar 2023 08:10:07 +0000

librlyeh (0.4.30) unstable; urgency=medium

  * [librlyeh] Use STAGING_LIBDIR instead of LIBDIR in src/makefile

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Feb 2023 10:15:21 +0000

librlyeh (0.4.29) unstable; urgency=medium

  * Rlyeh crash when triggering the garbage collector
  * [Rlyeh] Add feature to disable certificate verification

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Feb 2023 14:29:50 +0000

librlyeh (0.4.28) unstable; urgency=medium

  * [Rlyeh] curl write callback does not handle error cases

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Feb 2023 09:16:35 +0000

librlyeh (0.4.27) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 27 Jan 2023 10:38:54 +0000

librlyeh (0.4.26) unstable; urgency=medium

  * Rlyeh could crash when an invalid index file was read

 -- SAH bot <sahbot@softathome.com>  Fri, 27 Jan 2023 08:31:13 +0000

librlyeh (0.4.25) unstable; urgency=medium

  * Add define for RemainingDiskSpaceBytes

 -- SAH bot <sahbot@softathome.com>  Wed, 18 Jan 2023 16:33:48 +0000

librlyeh (0.4.24) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 10 Jan 2023 14:30:10 +0000

librlyeh (0.4.23) unstable; urgency=medium

  * allow for several subdirs on repo

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Oct 2022 15:19:11 +0000

librlyeh (0.4.22) unstable; urgency=medium

  * installDU returns informative data when failed

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Oct 2022 09:19:25 +0000

librlyeh (0.4.21) unstable; urgency=medium

  * Remove warnings from tests

 -- SAH bot <sahbot@softathome.com>  Fri, 07 Oct 2022 12:58:55 +0000

librlyeh (0.4.20) unstable; urgency=medium

  * 2 simultaneous InstallDu commands could cause a crash

 -- SAH bot <sahbot@softathome.com>  Wed, 05 Oct 2022 20:12:33 +0000

librlyeh (0.4.19) unstable; urgency=medium

  * rlyeh should return an error the auth failed during Rlyeh.pull()

 -- SAH bot <sahbot@softathome.com>  Fri, 02 Sep 2022 07:23:25 +0000

librlyeh (0.4.18) unstable; urgency=medium

  * Fix possible segfault

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Jun 2022 16:31:35 +0000

librlyeh (0.4.17) unstable; urgency=medium

  * Signature location shall follow image path & version

 -- SAH bot <sahbot@softathome.com>  Tue, 07 Jun 2022 09:06:34 +0000

librlyeh (0.4.16) unstable; urgency=medium

  * : Change bundle name algorithm due to BundleName too long

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Apr 2022 13:21:47 +0000

librlyeh (0.4.15) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 04 Apr 2022 08:34:46 +0000

librlyeh (0.4.14) unstable; urgency=medium

  * Error with notifications when installing 2 applications at the same time

 -- SAH bot <sahbot@softathome.com>  Wed, 23 Mar 2022 10:44:10 +0000

librlyeh (0.4.13) unstable; urgency=medium

  * Incorrect Error handling in case of installing an already present DU

 -- SAH bot <sahbot@softathome.com>  Thu, 03 Mar 2022 09:23:52 +0000

librlyeh (0.4.12) unstable; urgency=medium

  * Rlyeh crash when trying to uninstall one of the two installed DUs

 -- SAH bot <sahbot@softathome.com>  Tue, 01 Mar 2022 14:56:26 +0000

librlyeh (0.4.11) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 10 Jan 2022 18:10:36 +0000

librlyeh (0.4.10) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 07 Jan 2022 13:55:54 +0000

librlyeh (0.4.9) unstable; urgency=medium

  * fix NULL pointer access

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Dec 2021 10:37:49 +0000

librlyeh (0.4.8) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Wed, 15 Dec 2021 14:30:49 +0000

librlyeh (0.4.7) unstable; urgency=medium

  * [Rlyeh] Add support for docker.io

 -- SAH bot <sahbot@softathome.com>  Tue, 30 Nov 2021 11:24:31 +0000

librlyeh (0.4.6) unstable; urgency=medium

  * [Rlyeh] Add support for docker.io

 -- SAH bot <sahbot@softathome.com>  Wed, 24 Nov 2021 10:14:19 +0000

librlyeh (0.4.5) unstable; urgency=medium

  * libRlyeh : keep track of shared layers

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Nov 2021 13:06:04 +0000

librlyeh (0.4.4) unstable; urgency=medium

  * [Rlyeh] Implement 'Status' parameter

 -- SAH bot <sahbot@softathome.com>  Thu, 04 Nov 2021 15:32:55 +0000

librlyeh (0.4.3) unstable; urgency=medium

  * [Rlyeh] Verify the OCI image signature

 -- SAH bot <sahbot@softathome.com>  Wed, 27 Oct 2021 12:58:03 +0000

librlyeh (0.4.2) unstable; urgency=medium

  * Fix rename for old compilers

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Sep 2021 09:03:17 +0000

librlyeh (0.4.1) unstable; urgency=medium

  * [librlyeh] rename on cross device links not working

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Sep 2021 09:32:54 +0000

librlyeh (0.4.0) unstable; urgency=medium

  * Issue [IOT-886] : [Rlyeh] Verify checksum after pulling image's blobs

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Sep 2021 11:58:30 +0000

librlyeh (0.3.3) unstable; urgency=medium

  * rework rlyeh_remove

 -- SAH bot <sahbot@softathome.com>  Mon, 13 Sep 2021 09:22:13 +0000

librlyeh (0.3.2) unstable; urgency=medium

  * add a config for external

 -- SAH bot <sahbot@softathome.com>  Mon, 06 Sep 2021 10:31:54 +0000

librlyeh (0.3.1) unstable; urgency=medium

  * Add changenlog
  * Update .gitlab-ci.yml
  * [lib rlyeh] Add remove to ckopeo

 -- SAH bot <sahbot@softathome.com>  Mon, 06 Sep 2021 10:04:01 +0000

librlyeh (0.3.0) unstable; urgency=medium

  * Add Name in defines and Name retrieval from annotation or URI

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Aug 2021 10:02:07 +0000

librlyeh (0.2.0) unstable; urgency=medium

  * Add common defines include file

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Aug 2021 08:06:17 +0000

librlyeh (0.1.0) unstable; urgency=medium

  * - rlyeh copy (continuation)
  * -  need to check whether the layers already exist before downloading

 -- SAH bot <sahbot@softathome.com>  Thu, 29 Jul 2021 11:02:25 +0000

librlyeh (0.0.0) unstable; urgency=medium

  * Initial release

 -- Jef Steelant <jef.steelant_ext@softathome.com>  Wed, 16 Jun 2021 10:36:28 +0000
